Enterprise: System Details Endpoint
curl --request POST \
--url https://modelslab.com/api/v1/enterprise/image_to_video_ultra/system_details \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>"
}
'import requests
url = "https://modelslab.com/api/v1/enterprise/image_to_video_ultra/system_details"
payload = { "key": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({key: '<string>'})
};
fetch('https://modelslab.com/api/v1/enterprise/image_to_video_ultra/system_details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Operation completed successfully"
}{
"status": "error",
"message": "Error message"
}System Details
This endpoint returns information about your server.
POST
/
image_to_video_ultra
/
system_details
Enterprise: System Details Endpoint
Overview
This endpoint returns information about your server.Request
--request POST 'https://modelslab.com/api/v1/enterprise/image_to_video_ultra/system_details' \
POST request to https://modelslab.com/api/v1/enterprise/image_to_video_ultra/system_details endpoint to get information about your server.
Attributes
| Parameter | Description |
|---|---|
| key | Your enterprise API Key used for request authorization. |
Example
Body
Body Raw{ "key": "enterprise_api_key"}
Request
- JS
- PHP
- NODE
- PYTHON
- JAVA
var myHeaders = new Headers();myHeaders.append("Content-Type", "application/json");var raw = JSON.stringify({ "key": ""});var requestOptions = { method: 'POST', headers: myHeaders, body: raw, redirect: 'follow'};fetch("https://modelslab.com/api/v1/enterprise/image_to_video_ultra/system_details", requestOptions) .then(response => response.text()) .then(result => console.log(result)) .catch(error => console.log('error', error));
<?php$payload = [ "key" => ""];$curl = curl_init();curl_setopt_array($curl, array( CURLOPT_URL => 'https://modelslab.com/api/v1/enterprise/image_to_video_ultra/system_details', CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => '', CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 0, CURLOPT_FOLLOWLOCATION => true, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => 'POST', CURLOPT_POSTFIELDS => json_encode($payload), CURLOPT_HTTPHEADER => array( 'Content-Type: application/json' ),));$response = curl_exec($curl);curl_close($curl);echo $response;
var request = require('request');var options = { 'method': 'POST', 'url': 'https://modelslab.com/api/v1/enterprise/image_to_video_ultra/system_details', 'headers': { 'Content-Type': 'application/json' }, body: JSON.stringify({ "key": "" })};request(options, function (error, response) { if (error) throw new Error(error); console.log(response.body);});
import requestsimport jsonurl = "https://modelslab.com/api/v1/enterprise/image_to_video_ultra/system_details"payload = json.dumps({ "key": ""})headers = { 'Content-Type': 'application/json'}response = requests.request("POST", url, headers=headers, data=payload)print(response.text)
OkHttpClient client = new OkHttpClient().newBuilder() .build();MediaType mediaType = MediaType.parse("application/json");RequestBody body = RequestBody.create(mediaType, "{\n \"key\": \"\"\n}");Request request = new Request.Builder() .url("https://modelslab.com/api/v1/enterprise/image_to_video_ultra/system_details") .method("POST", body) .addHeader("Content-Type", "application/json") .build();Response response = client.newCall(request).execute();
Response
The example below shows that there are no queued images for processing at the moment of the request.{ "model_count": 0, "queue_time": 0, "status": "ok"}
Related topics
System DetailsWas this page helpful?
⌘I

